Beatbox upgraded to 0.3, no longer starts

Asked by chris hunter on 2012-02-19

Was running Beatbox 0.1 from the Elementary stable PPA, works fine. I added unstable to update Beatbox to 0.3, and now it won't start with the error:
"beatbox: symbol lookup error: beatbox: undefined symbol: granite_widgets_welcome_append_with_pixbuf"

Could be a good idea to add libgranite0 as a dependency.

I also noticed that it failed to find the following icons:
/usr/share/beatbox/icons/hicolor/16x16/status/non-starred.svg and
/usr/share/beatbox/icons/hicolor/16x16/status/starred.svg

Question information

Language:
English Edit question
Status:
Answered
For:
BeatBox Edit question
Assignee:
No assignee Edit question
Last query:
2012-02-19
Last reply:
2012-03-03

Ok, I used to get this same bug. I fix it using the Eidete PPA. With contain an more stable version of libgranite. Try add the PPA to your source list, and unistall the current libgranite/beatbox. Download the last version (0.3) for your system, and install the libgranite0 from Eidete PPA. All running normally here (BeatBox, with Oneiric).

ppa:shnatsel/eidete-daily

Hope it works with you. (:

Can you help with this problem?

Provide an answer of your own, or ask chris hunter for more information if necessary.

To post a message you must log in.